PDevicePluginAdapterBase Class Referenceabstract

`#include <plugin.h>`

Inheritance diagram for PDevicePluginAdapterBase:

## Public Member Functions

| PDevicePluginAdapterBase ()
virtual | ~PDevicePluginAdapterBase ()
virtual void | CreateFactory (const PString &device)=0

## Constructor & Destructor Documentation

## PDevicePluginAdapterBase()

PDevicePluginAdapterBase::PDevicePluginAdapterBase | ( |  | ) |

inline

## ~PDevicePluginAdapterBase()

virtual PDevicePluginAdapterBase::~PDevicePluginAdapterBase | ( |  | ) |

inline virtual

## Member Function Documentation

## CreateFactory()

virtual void PDevicePluginAdapterBase::CreateFactory | ( | const PString & | device | ) |

pure virtual

Implemented in PDevicePluginAdapter< DeviceBase >.

The documentation for this class was generated from the following file:

- plugin.h